<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('pricelist_files', function (Blueprint $table) {
            $table->json('file_meta')->nullable()->after('workflow_steps');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('pricelist_files', function (Blueprint $table) {
            $table->dropColumn('file_meta');
        });
    }
};
